curl --request PATCH \
--url https://api.sandbox.isometric.com/mrv/v0/components/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"allocation_strategy": {
"__typename": "Undefined"
},
"description": {
"__typename": "Undefined"
},
"display_name": {
"__typename": "Undefined"
},
"inputs": {
"__typename": "Undefined"
}
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/components/{id}"
payload = {
"allocation_strategy": { "__typename": "Undefined" },
"description": { "__typename": "Undefined" },
"display_name": { "__typename": "Undefined" },
"inputs": { "__typename": "Undefined" }
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
allocation_strategy: {__typename: 'Undefined'},
description: {__typename: 'Undefined'},
display_name: {__typename: 'Undefined'},
inputs: {__typename: 'Undefined'}
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/components/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity_completed_at": "2023-11-07T05:31:56Z",
"activity_started_at": "2023-11-07T05:31:56Z",
"blueprint_key": "<string>",
"description": "<string>",
"display_name": "<string>",
"ghg_entry_template_component_id": "rtc_1DAA58EDM1S0AMPN",
"id": "cmp_1EP2SB7MZ1S036PY",
"inputs": [
{
"datapoint_ids": [
"dtp_1DVKHKS101S0Q61Q"
],
"input_key": "<string>",
"__typename": "ComponentListInput"
}
],
"removal_template_component_id": "rtc_1DAA58EDM1S0AMPN",
"scope": "REMOVAL",
"supplier_reference_id": "<string>",
"type": "ACTIVITY",
"allocation_strategy": "ESTIMATED_PROJECT_TONNAGE"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Patch Component
Updates a component in the Isometric system. Associated GHG entries will be recalculated, if they are not in an immutable state.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"cmp_1EP2SB7MZ1S036PY"
"cmp_1EHK4R6QJSBXFC5N"
Body
Strategies which control how Project Emissions are automatically amortized and attributed to GHG Statement and GHG entries
ESTIMATED_PROJECT_TONNAGE - Automatic amortization ensuring full amortization in proportion to the project's estimated gross removal.
MANUAL - No automatic amortization. All GHG Statement and GHG entry attributions are performed manually.
CUSTOM_TIME_PERIOD - Automatic amortization ensuring full amortization by a specified target date.
ESTIMATED_PROJECT_LIFETIME - Automatic amortization ensuring full amortization over the project's estimated lifetime.
ESTIMATED_PROJECT_TONNAGE, MANUAL, CUSTOM_TIME_PERIOD, ESTIMATED_PROJECT_LIFETIME A description of the component. Must be at most 2000 characters long.
20001 - 150Overwrite existing component inputs
- CreateComponentListInput
- CreateComponentScalarInput
Show child attributes
Show child attributes
Response
Successful Response
The ID of the GHG entry template component, if this component was created via a template. May be null if the component was created directly, or if the template has been deleted.
20 - 37"rtc_1DAA58EDM1S0AMPN"
20 - 37"cmp_1EP2SB7MZ1S036PY"
"cmp_1EHK4R6QJSBXFC5N"
A list of component inputs. The inputs can be either scalars or list inputs.
- ComponentListInput
- ComponentScalarInput
Show child attributes
Show child attributes
The ID of the removal template component, if this component was created via a template. May be null if the component was created directly, or if the template has been deleted.
20 - 37"rtc_1DAA58EDM1S0AMPN"
REMOVAL, GHG_STATEMENT, PROJECT, NET_NEGATIVITY A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200ACTIVITY, REMOVAL_COUNTERFACTUAL, SEQUESTRATION, LOSS, ADJUSTMENT, REDUCTION, UNCERTAINTY_DISCOUNT Attribution strategy, manages how project-scoped components are distributed across GHG statements; value will be Null if scope is not of scope project
ESTIMATED_PROJECT_TONNAGE, MANUAL, CUSTOM_TIME_PERIOD, ESTIMATED_PROJECT_LIFETIME Was this page helpful?